=== debian/changelog ===
basenji (0.8.0-3) unstable; urgency=low

  * [ee6593c] Update debian/rules for DH8-compatible "--with cli"

 -- Jo Shields <directhex@apebox.org>  Fri, 20 Jan 2012 17:41:06 +0000

basenji (0.8.0-2) unstable; urgency=low

  * No-change rebuild for CLR 4.0 transition. 

 -- Iain Lane <laney@debian.org>  Tue, 17 Jan 2012 22:02:49 +0000

basenji (0.8.0-1) unstable; urgency=low

  * Initial release (closes: #617396)

 -- Patrick Ulbrich <zulu99@gmx.net>  Sun, 02 Oct 2011 18:01:08 +0200
