=== debian/control ===
Source: basenji
Section: gnome
Priority: optional
Maintainer: Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>
Uploaders: Patrick Ulbrich <zulu99@gmx.net>
Build-Depends: autotools-dev,
               cli-common-dev,
               debhelper (>= 8.0.0),
               libextractor-dev (>= 0.5.23),
               libgio2.0-cil-dev,
               libglib2.0-cil-dev,
               libgnome-vfs2.0-cil-dev,
               libgnome2.0-cil-dev,
               libgtk2.0-cil-dev,
               libmono-cairo2.0-cil,
               libndesk-dbus-glib1.0-cil-dev,
               libndesk-dbus1.0-cil-dev,
               mono-devel (>= 2.6.7),
               pkg-config
Standards-Version: 3.9.2
Homepage: http://launchpad.net/basenji

Package: basenji
Architecture: all
Depends: libextractor-plugins (>= 0.5.23),
         librsvg2-common (>= 2.26.0),
         udisks,
         ${cli:Depends},
         ${misc:Depends}
Description: Cross-platform media indexing/search tool
 Basenji is an indexing and search tool designed for easy and fast indexing
 of media collections. Once indexed, removable media such as CDs and
 USB sticks can be browsed and searched for specific files very quickly,
 without actually being connected to the computer. Besides file hierarchies
 and audio track listings, Basenji also presents extracted metadata
 (image dimensions, mp3 tags etc.) and content previews of indexed media in a
 clean and straightforward user interface.
