=== debian/changelog ===
basenji (0.9.0-1build1) quantal; urgency=low

  * Rebuild to update libtaglib2.x-cil dependency.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 11 Sep 2012 18:55:46 +0200

basenji (0.9.0-1) unstable; urgency=low

  * [34f9360] Imported Upstream version 0.9.0
  * [397040e] updated dependencies in control
  * [eba4780] updated copyright date
  * [81c45de] drop patches that have been applied upstream
  * [df3499a] updated use_mono-csc_compiler patch

 -- Patrick Ulbrich <zulu99@gmx.net>  Thu, 23 Feb 2012 21:37:17 +0000
