=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
 Build-Depends: autotools-dev,
                cli-common-dev,
                debhelper (>= 8.0.0),
-               libextractor-dev (>= 0.5.23),
+               libtaglib-cil-dev (>= 2.0.4.0),
                libgio2.0-cil-dev,
                libglib2.0-cil-dev,
                libgnome-vfs2.0-cil-dev,
                libgnome2.0-cil-dev,
                libgtk2.0-cil-dev,
                libmono-cairo2.0-cil,
-               libndesk-dbus-glib1.0-cil-dev,
-               libndesk-dbus1.0-cil-dev,
+               libdbus-glib1.0-cil-dev,
+               libdbus1.0-cil-dev,
                mono-devel (>= 2.6.7),
                pkg-config
 Standards-Version: 3.9.2
@@ -22,8 +22,7 @@
 
 Package: basenji
 Architecture: all
-Depends: libextractor-plugins (>= 0.5.23),
-         librsvg2-common (>= 2.26.0),
+Depends: librsvg2-common (>= 2.26.0),
          udisks,
          ${cli:Depends},
          ${misc:Depends}
