=== debian/changelog ===
basenji (1.0.1-3) unstable; urgency=low

  * [2e5f9aa] Use DBus# 2.0 API

 -- Jo Shields <directhex@apebox.org>  Mon, 28 Oct 2013 00:21:14 +0000

basenji (1.0.1-2) unstable; urgency=low

  * Team upload
  * Rebuild against taglib-sharp 2.1.0.0
  * [16c14a3] Set Vcs-* fields
  * [c57b11d] Bump Standards-Version to 3.9.4

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 21 Sep 2013 17:35:44 +0800

basenji (1.0.1-1) experimental; urgency=low

  * [bc1d602] updated dependencies in control
  * [1cfdae9] Imported Upstream version 1.0.0
    - Added ability to rescan volumes
    - Added ability to view found items in the main window
    - Removed menubar and added chrome-like appmenu button
    - Misc other GUI updates
    - Added CdCat import
    - Added search criteria chooser for MS Windows
    - KDE compatibility fixes
    - Added ability to enter volume information while scanning
    - Added ability to close windows via the esc key / 
      delete items via the del key
    - Removed deprecated Gnome-VFS and Gnome dependencies
    - Speed improvements
    - Misc other bugfixes
    - Updated / added translations
  * [0606f43] Updated use_mono-csc_compiler patch
  * [884ff61] Imported Upstream version 1.0.1
    - Added workaround for a metadata parsing bug in taglib-sharp
    - Fixed height of the description entry in the volume editor
    - Updated translations

 -- Patrick Ulbrich <zulu99@gmx.net>  Fri, 28 Dec 2012 20:25:25 +0100
