=== debian/control ===
--- 
+++ 
@@ -9,16 +9,17 @@
                libtaglib-cil-dev (>= 2.0.4.0),
                libgio2.0-cil-dev,
                libglib2.0-cil-dev,
-               libgnome-vfs2.0-cil-dev,
-               libgnome2.0-cil-dev,
+               libgnome-desktop-dev,
                libgtk2.0-cil-dev,
                libmono-cairo2.0-cil,
-               libdbus-glib1.0-cil-dev,
-               libdbus1.0-cil-dev,
+               libdbus-glib2.0-cil-dev,
+               libdbus2.0-cil-dev,
                mono-devel (>= 2.6.7),
                pkg-config
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://launchpad.net/basenji
+Vcs-Git: git://git.debian.org/git/pkg-cli-apps/packages/basenji.git
+Vcs-Browser: http://git.debian.org/?p=pkg-cli-apps/packages/basenji.git
 
 Package: basenji
 Architecture: all
