=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1

%:
	dh $@ --with cli

override_dh_auto_configure:
	./configure --prefix=/usr --config=GNOME_RELEASE

override_dh_auto_clean:
	[ -f config.make ] || ./configure --clean-only
	dh_auto_clean
	rm -f config.log config.make Basenji/basenji.desktop
	find -name "*.pc" | xargs rm -rf
