=== debian/watch ===
version=3
https://launchpad.net/basenji/+download \
    (?:.*/)?basenji-([\d\.]+)\.tar\.gz
